> ## Documentation Index
> Fetch the complete documentation index at: https://docs.auxpay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Card Transaction

> Process a credit card or ACH payment.



## OpenAPI

````yaml openapi.json post /transaction
openapi: 3.0.0
info:
  title: AuxVault API
  description: >-
    The AuxVault API is a RESTful API that allows you to process financial
    transactions, manage customers, and access transaction data securely.
  version: v1
servers:
  - url: https://dev-api.auxvault.net/api/v1/public
    description: Sandbox Environment
  - url: https://api.auxvault.net/api/v1/public
    description: Production Environment
security:
  - apiKey: []
paths:
  /transaction:
    post:
      summary: Card Transaction
      description: Process a credit card or ACH payment.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                Amount:
                  type: number
                  example: 10.5
                BillingAddress:
                  type: string
                  example: 123 Main St
                BillingCity:
                  type: string
                  example: Anytown
                BillingCountry:
                  type: string
                  example: USA
                BillingCountryCode:
                  type: string
                  example: '+1'
                BillingCustomerName:
                  type: string
                  example: John Doe
                BillingEmail:
                  type: string
                  example: john.doe@example.com
                BillingPhoneNumber:
                  type: string
                  example: 555-123-4567
                BillingPostalCode:
                  type: string
                  example: '12345'
                BillingState:
                  type: string
                  example: CA
                ShippingSameAsBilling:
                  type: boolean
                ShippingCustomerName:
                  type: string
                ShippingEmail:
                  type: string
                ShippingPhoneNumber:
                  type: string
                ShippingAddress:
                  type: string
                ShippingCountry:
                  type: string
                ShippingCity:
                  type: string
                ShippingState:
                  type: string
                ShippingPostalCode:
                  type: string
                CardNumber:
                  type: string
                  example: '4111111111111111'
                Cvv:
                  type: string
                  example: '123'
                ExpiryDate:
                  type: string
                  example: '1225'
                SuggestedMode:
                  type: string
                  example: Card
                ConvenienceFeeActive:
                  type: boolean
                TransactionType:
                  type: string
                  description: 1 for Sale, 2 for Auth
                PaymentTokenization:
                  type: boolean
                IpAddress:
                  type: string
                  example: 192.168.1.1
              required:
                - Amount
                - BillingCountry
                - BillingCountryCode
                - BillingCustomerName
                - BillingEmail
                - BillingPhoneNumber
                - BillingPostalCode
                - CardNumber
                - Cvv
                - ExpiryDate
                - SuggestedMode
                - ConvenienceFeeActive
                - IpAddress
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              example:
                status: success
                status_code: 100
                message: Transaction Processed Successfully
                data:
                  TransactionId: d0snjfv0i479rlkc66v0
                  BaseAmount: 10
                  Amount: 10
                  CardNumber: '1111'
                  BillingEmail: federico@gmail.com
                  BillingCustomerName: Federico
                  BillingAddress: ''
                  BillingCity: ''
                  BillingState: null
                  BillingPostalCode: ''
                  BillingCountry: 1
                  BillingCountryCode: '+1'
                  BillingPhoneNumber: '876543200'
                  TransactionType: 1
                  Status: '1'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                status: failed
                status_code: 400
                msg: 'bad request error: invalid Postal Code'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: failed
                status_code: 401
                msg: 'Unauthorized: Invalid API Key'
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization

````